using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Avatar;

public class FigureUpdateComposer : IMessageComposer
{
    private readonly string _figure;
    private readonly string _gender;

    public FigureUpdateComposer(string figure, string gender)
    {
        _figure = figure;
        _gender = gender;
    }

    public OutgoingHeaders Header => OutgoingHeaders.UserFigure;
    public void Compose(ServerMessage message)
    {
        message.AppendString(_figure);
        message.AppendString(_gender);
    }
}