namespace Tiger.Communication.Messages.Outgoing;

public enum OutgoingHeaders : short
{
     AchievementList = 305,
     Authenticated = 2491,
     Authentication = -1,
     AvailabilityStatus = 2033,
     BuildersClubExpired = 1452,
     ClubOffers = 2405,
     CatalogPage = 804,
     CatalogPageList = 1032,
     CatalogPurchaseOk = 869,
     CatalogPurchaseError = 1404,
     CatalogPurchaseNotAllowed = 3770,
     ProductOffer = 3388,
     LimitedSoldOut = 377,
     CatalogPublished = 1866,
     CfhResultMessage = 3635,
     ClientLatency = 10,
     ClientPing = 3928,
     DesktopCampaign = 1745,
     DesktopNews = 286,
     DesktopView = 122,
     BundleDiscountRuleset = 2347,
     FirstLoginOfDay = 793,
     FurnitureAliases = 1723,
     FurnitureData = 2547,
     FurnitureFloor = 1778,
     FurnitureFloorAdd = 1534,
     FurnitureFloorRemove = 2703,
     FurnitureFloorUpdate = 3776,
     FurnitureItemdata = 2202,
     FurnitureState = 2376,
     FurnitureGroupContextMenuInfo = 3293,
     FurniturePostitStickyPoleOpen = 2366,
     GameCenterAchievements = 2265,
     GameCenterGameList = 222,
     GameCenterStatus = 2893,
     GameCenterInArenaQueue = 872,
     GameCenterStopCounter = 3191,
     GameCenterUserLeftGame = 3138,
     GameCenterDirectoryStatus = 2246,
     GameCenterStartingGameFailed = 2142,
     GameCenterJoiningFailed = 1730,
     Gamestatusmessage = 3805,
     Gameachievements = 1689,
     Gameinvite = 904,
     Joiningqueuefailed = 3035,
     Joinedqueuemessage = 2260,
     Leftqueue = 1477,
     LoadGameUrl = 2624,
     Loadgame = 3654,
     Unloadgame = 1715,
     Achievementresolutioncompleted = 740,
     Achievementresolutionprogress = 3370,
     Achievementresolutions = 66,
     GenericAlert = 3801,
     ModeratorMessage = 2030,
     GenericError = 1600,
     GiftWrapperConfig = 2234,
     GroupBadges = 2402,
     GroupCreateOptions = 2159,
     GroupForumData = 3011,
     GroupForumList = 3001,
     GroupForumThreads = 1073,
     GroupForumPost = 2049,
     GroupForumPostThread = 1862,
     GroupForumThreadMessages = 509,
     GroupForumUnreadCount = 2379,
     GroupForumUpdateMessage = 324,
     GroupForumUpdateThread = 2528,
     GroupInfo = 1702,
     GroupList = 420,
     GroupMember = 265,
     GroupMembers = 1200,
     GroupMembersRefresh = 2445,
     GroupMemberRemoveConfirm = 1876,
     GroupPurchased = 2808,
     GroupSettings = 3965,
     GroupBadgeParts = 2238,
     GroupMembershipRequested = 1180,
     GroupDetailsChanged = 1459,
     GroupHabboJoinFailed = 762,
     GuildEditFailed = 3988,
     GuildMemberMgmtFailed = 818,
     ItemDimmerSettings = 2710,
     ItemStackHelper = 2816,
     ItemWall = 1369,
     ItemWallAdd = 2187,
     ItemWallRemove = 3208,
     ItemWallUpdate = 2009,
     MarketplaceConfig = 1823,
     MessengerAcceptFriends = 896,
     MessengerChat = 1587,
     MessengerFindFriends = 1210,
     MessengerFollowFailed = 3048,
     MessengerFriendNotification = 3082,
     MessengerFriends = 3130,
     MessengerInit = 1605,
     MessengerInstanceMessageError = 3359,
     MessengerInvite = 3870,
     MessengerInviteError = 462,
     MessengerMessageError = 892,
     MessengerMinimailCount = 2803,
     MessengerMinimailNew = 1911,
     MessengerRelationships = 2016,
     MessengerRequest = 2219,
     MessengerRequestError = 892,
     MessengerRequests = 280,
     MessengerSearch = 973,
     MessengerUpdate = 2800,
     ModerationReportDisabled = 1651,
     ModerationTool = 2696,
     ModerationUserInfo = 2866,
     MotdMessages = 2035,
     NavigatorCategories = 1562,
     NavigatorCollapsed = 1543,
     NavigatorEventCategories = 3244,
     NavigatorLifted = 3104,
     NavigatorMetadata = 3052,
     NavigatorOpenRoomCreator = 2064,
     NavigatorSearch = 2690,
     NavigatorSearches = 3984,
     NavigatorSettings = 518,
     ThumbnailUpdateResult = 1927,
     CanCreateRoom = 378,
     CategoriesWithVisitorCount = 1455,
     CompetitionRoomsData = 3954,
     ConvertedRoomId = 1331,
     GuestRoomSearchResult = 52,
     NotificationList = 1992,
     NotificationOfferRewardDelivered = 2125,
     NotificationSimpleAlert = 5100,
     NotificationElementPointer = 1787,
     PetFigureUpdate = 1924,
     PetInfo = 2901,
     PetTrainingPanel = 1164,
     PetLevelUpdate = 2824,
     PetScratchFailed = 1130,
     PetOpenPackageRequested = 2380,
     PetOpenPackageResult = 546,
     PetBreeding = 1746,
     PetConfirmBreedingResult = 1625,
     PetGoToBreedingNestFailure = 2621,
     PetNestBreedingSuccess = 2527,
     PetConfirmBreedingRequest = 634,
     PetBreedingResult = 1553,
     RecyclerPrizes = 3164,
     RecyclerStatus = 3433,
     RecyclerFinished = 468,
     RoomBanList = 1869,
     RoomBanRemove = 3429,
     RoomCreated = 1304,
     RoomDoorbell = 2309,
     RoomDoorbellAccepted = 3783,
     RoomDoorbellRejected = 878,
     RoomEnter = 758,
     RoomEnterError = 899,
     RoomForward = 160,
     RoomHeightMap = 2753,
     RoomHeightMapUpdate = 558,
     RoomInfo = 687,
     RoomInfoOwner = 749,
     RoomModel = 1301,
     RoomModelBlockedTiles = 3990,
     RoomModelDoor = 1664,
     RoomModelName = 2031,
     RoomMuted = 2533,
     RoomMuteUser = 826,
     RoomPaint = 2454,
     RoomPromotion = 2274,
     RoomQueueStatus = 2208,
     RoomRights = 780,
     RoomRightsClear = 2392,
     RoomRightsList = 1284,
     RoomRightsListAdd = 2088,
     RoomRightsListRemove = 1327,
     RoomRightsOwner = 339,
     RoomRolling = 3207,
     RoomScore = 482,
     RoomSettings = 1498,
     RoomSettingsChat = 1191,
     RoomSettingsSave = 948,
     RoomSettingsSaveError = 1555,
     RoomInfoUpdated = 3297,
     RoomSpectator = 1033,
     RoomThickness = 3547,
     RoomGetFilterWords = 2937,
     RoomMessageNotification = 1634,
     RoomPopularTagsResult = 2012,
     InfoFeedEnable = 3284,
     SecurityMachine = 1488,
     MysteryBoxKeys = 2833,
     Gotmysteryboxprizemessage = 3712,
     Cancelmysteryboxwaitmessage = 596,
     Showmysteryboxwaitmessage = 3201,
     TradeAccepted = 2568,
     TradeClosed = 1373,
     TradeCompleted = 1001,
     TradeConfirmation = 2720,
     TradeListItem = 2024,
     TradeNotOpen = 3128,
     TradeOpen = 2505,
     TradeOpenFailed = 217,
     TradeOtherNotAllowed = 1254,
     TradeYouNotAllowed = 3058,
     TradeNoSuchItem = 2873,
     Unit = 374,
     UnitChangeName = 2182,
     UnitChat = 1446,
     UnitChatShout = 1036,
     UnitChatWhisper = 2704,
     UnitDance = 2233,
     UnitEffect = 1167,
     UnitExpression = 1631,
     UnitHandItem = 1474,
     UnitIdle = 1797,
     UnitInfo = 3920,
     UnitNumber = 2324,
     UnitRemove = 2661,
     UnitStatus = 1640,
     UnitTyping = 1717,
     UnseenItems = 2103,
     UserAchievementScore = 1968,
     UserBadges = 717,
     UserBadgesAdd = 2493,
     UserBadgesCurrent = 1087,
     UserBotRemove = 233,
     UserBots = 3086,
     UserChangeName = 118,
     UserClothing = 1450,
     UserCredits = 3475,
     UserCurrency = 2018,
     ActivityPointNotification = 2275,
     UserEffects = 340,
     UserFavoriteRoom = 2524,
     UserFavoriteRoomCount = 151,
     UserFigure = 2429,
     UserFurniture = 994,
     UserFurnitureAdd = 104,
     UserFurniturePostitPlaced = 1501,
     UserFurnitureRefresh = 3151,
     UserFurnitureRemove = 159,
     UserHomeRoom = 2875,
     RoomEventCancel = 3479,
     RoomEvent = 1840,
     UserIgnored = 126,
     UserIgnoredResult = 207,
     UserInfo = 2725,
     UserOutfits = 3315,
     UserPerks = 2586,
     UserPermissions = 411,
     UserPetAdd = 2101,
     UserPetRemove = 3253,
     UserPets = 3522,
     UserProfile = 3898,
     UserRespect = 2815,
     UserSanctionStatus = 3679,
     UserSettings = 513,
     UserSubscription = 954,
     UserWardrobePage = 3315,
     UserClassification = 966,
     GetUserTags = 1255,
     WiredAction = 1434,
     WiredCondition = 1108,
     WiredError = 156,
     WiredOpen = 1830,
     WiredReward = 178,
     WiredSave = 1155,
     WiredTrigger = 383,
     PlayingGame = 448,
     FurnitureState2 = 3431,
     RemoveBotFromInventory = 233,
     AddBotToInventory = 1352,
     AchievementProgressed = 2107,
     ModtoolRoomInfo = 1333,
     ModtoolUserChatlog = 3377,
     ModtoolRoomChatlog = 3434,
     ModtoolVisitedRoomsUser = 1752,
     ModeratorActionResult = 2335,
     IssueDeleted = 3192,
     IssueInfo = 3609,
     IssuePickFailed = 3150,
     CfhChatlog = 607,
     ModeratorToolPreferences = 1576,
     LovelockFurniStart = 3753,
     LovelockFurniFriendComfirmed = 382,
     LovelockFurniFinished = 770,
     GiftReceiverNotFound = 1517,
     GiftOpened = 56,
     FloodControl = 566,
     RemainingMute = 826,
     UserEffectList = 340,
     UserEffectListAdd = 2867,
     UserEffectListRemove = 2228,
     UserEffectActivate = 1959,
     AvatarEffectSelected = 3473,
     ClubGiftInfo = 619,
     RedeemVoucherError = 714,
     RedeemVoucherOk = 3336,
     InClientLink = 2023,
     BotCommandConfiguration = 1618,
     BotSkillListUpdate = 69,
     BotForceOpenContextMenu = 296,
     HandItemReceived = 354,
     PetPlacingError = 2913,
     BotError = 639,
     MarketplaceSellItem = 54,
     MarketplaceItemStats = 725,
     MarketplaceOwnItems = 3884,
     MarketplaceCancelSale = 3264,
     MarketplaceItemPosted = 1359,
     MarketplaceItemsSearched = 680,
     MarketplaceAfterOrderStatus = 2032,
     CatalogReceivePetBreeds = 3331,
     CatalogApproveNameResult = 1503,
     ObjectsDataUpdate = 1453,
     PetExperience = 2156,
     CommunityGoalVoteEvent = 1435,
     PromoArticles = 286,
     CommunityGoalEarnedPrizes = 3319,
     CommunityGoalProgress = 2525,
     ConcurrentUsersGoalProgress = 2737,
     QuestDaily = 1878,
     QuestCancelled = 3027,
     QuestCompleted = 949,
     CommunityGoalHallOfFame = 3005,
     EpicPopup = 3945,
     SeasonalQuests = 1122,
     Quests = 3625,
     Quest = 230,
     BonusRareInfo = 1533,
     CraftableProducts = 1000,
     CraftingRecipe = 2774,
     CraftingRecipesAvailable = 2124,
     CraftingResult = 618,
     CameraPublishStatus = 2057,
     CameraPurchaseOk = 2783,
     CameraStorageUrl = 3696,
     CameraSnapshot = 463,
     CompetitionStatus = 133,
     InitCamera = 3878,
     ThumbnailStatus = 3595,
     AchievementNotification = 806,
     ClubGiftNotification = 2188,
     InterstitialMessage = 1808,
     RoomAdError = 1759,
     AvailabilityTime = 600,
     HotelClosedAndOpens = 3728,
     HotelClosesAndOpensAt = 2771,
     HotelWillCloseMinutes = 1050,
     HotelMaintenance = 1350,
     JukeboxPlaylistFull = 105,
     JukeboxSongDisks = 34,
     NowPlaying = 469,
     OfficialSongId = 1381,
     Playlist = 1748,
     PlaylistSongAdded = 1140,
     TraxSongInfo = 3365,
     UserSongDisksInventory = 2602,
     CheckUserName = 563,
     CfhSanction = 2782,
     CfhTopics = 325,
     CfhSanctionStatus = 2221,
     CampaignCalendarData = 2531,
     CampaignCalendarDoorOpened = 2551,
     BuildersClubFurniCount = 3828,
     BuildersClubSubscription = 1452,
     CatalogPageExpiration = 2668,
     CatalogEarliestExpiry = 2515,
     ClubGiftSelected = 659,
     TargetOfferNotFound = 1237,
     TargetOffer = 119,
     DirectSmsClubBuy = 195,
     RoomAdPurchase = 2468,
     NotEnoughBalance = 3914,
     LimitedOfferAppearingNext = 44,
     IsOfferGiftable = 761,
     ClubExtendedOffer = 3964,
     SeasonalCalendarOffer = 1889,
     CompetitionEntrySubmit = 1177,
     CompetitionVotingInfo = 3506,
     CompetitionTimingCode = 1745,
     CompetitionUserPartOf = 3841,
     CompetitionNoOwnedRooms = 2064,
     CompetitionSecondsUntil = 3926,
     BadgePointLimits = 2501,
     BadgeRequestFulfilled = 2998,
     HelperTalentTrack = 3406,
     TalentTrackLevel = 1203,
     TalentTrackLevelUp = 638,
     UserBanned = 1683,
     BotReceived = 3684,
     PetLevelNotification = 859,
     PetReceived = 1111,
     ModerationCaution = 1890,
     YoutubeControlVideo = 1554,
     YoutubeDisplayPlaylists = 1112,
     YoutubeDisplayVideo = 1411,
     CfhDisabledNotify = 1651,
     Question = 2665,
     PollContents = 2997,
     PollError = 662,
     PollOffer = 3785,
     PollRoomResult = 5201,
     PollStartRoom = 5200,
     QuestionAnswered = 2589,
     QuestionFinished = 1066,
     CfhPendingCalls = 1121,
     GuideOnDutyStatus = 1548,
     GuideSessionAttached = 1591,
     GuideSessionDetached = 138,
     GuideSessionEnded = 1456,
     GuideSessionError = 673,
     GuideSessionInvitedToGuideRoom = 219,
     GuideSessionMessage = 841,
     GuideSessionPartnerIsTyping = 1016,
     GuideSessionRequesterRoom = 1847,
     GuideSessionStarted = 3209,
     GuideTicketCreationResult = 3285,
     GuideTicketResolution = 2674,
     GuideReportingStatus = 3463,
     HotelMergeNameChange = 1663,
     IssueCloseNotification = 934,
     QuizData = 2927,
     QuizResults = 2772,
     CfhPendingCallsDeleted = 77,
     CfhReply = 3796,
     ChatReviewSessionDetached = 30,
     ChatReviewSessionOfferedToGuide = 735,
     ChatReviewSessionResults = 3276,
     ChatReviewSessionStarted = 143,
     ChatReviewSessionVotingStatus = 1829,
     ScrSendKickbackInfo = 3277,
     PetStatus = 1907,
     GroupDeactivate = 3129,
     PetRespected = 2788,
     PetSupplement = 3441,
     NoobnessLevel = 3738,
     DisconnectReason = 4000,
     CanCreateRoomEvent = 2599,
     FavoriteGroupUdpate = 3403,
     NoSuchFlat = 84,
     RoomSettingsError = 2897,
     ShowEnforceRoomCategory = 3896,
     CustomUserNotification = 909,
     NewUserExperienceGiftOffer = 3575,
     RestoreClient = 426,
     FireworkChargeData = 5210,
     NewUserExperienceNotComplete = 3639,
     ConnectionError = 1004,
     AccountSafetyLockStatusChange = 1243,
     PhoneCollectionState = 2890,
     PhoneTryNumberResult = 800,
     PhoneTryVerificationCodeResult = 91,
     ExtendedProfileChanged = 876,
     WelcomeGiftChangeEmailResult = 2293,
     WelcomeGiftStatus = 2707,
     HandshakeInitDiffie = 1347,
     HandshakeCompleteDiffie = 3885,
     RentableSpaceRentOk = 2046,
     RentableSpaceStatus = 3559,
     RentableSpaceRentFailed = 1868,
     EmailStatus = 612,
     ChangeEmailResult = 1815,
     WeeklyGameReward = 2641,
     WeeklyGameRewardWinners = 3097,
     WeeklyCompetitiveLeaderboard = 3512,
     WeeklyCompetitiveFriendsLeaderboard = 3560,
     WeeklyGame2FriendsLeaderboard = 2270,
     WeeklyGame2Leaderboard = 2196,
     RentableFurniRentOrBuyoutOffer = 35,
     HandshakeIdentityAccount = 3523,
}